Page MenuHomePhabricator

Create user-MacFan4000 project for personal tracking
Closed, ResolvedPublic

Description

I would like to have a personal tracking project for myself.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 11 2017, 9:22 PM
Zppix moved this task from Incoming to Projects to create on the Project-Admins board.
MacFan4000 closed this task as Invalid.Sep 22 2017, 11:13 PM
MacFan4000 reopened this task as Open.Sep 26 2017, 1:55 AM

If this could be created, that would be great.

Aklapper closed this task as Resolved.Oct 23 2017, 7:52 AM
Aklapper claimed this task.
Aklapper mentioned this in User-MacFan4000.

Requested public project User-MacFan4000 has been created: https://phabricator.wikimedia.org/project/view/3069/

Please encourage interested people to visit the project and to join the project as members, and to watch the project in order to receive updates!

Recommended practices for project and workboard management in Phabricator are available.

Feel free to bring up any questions you might have about Phabricator or about best ways to manage projects in Phabricator.

MacFan4000 reopened this task as Open.Nov 15 2017, 10:48 PM

@Aklapper thanks, could I also have a global herald rule.

Aklapper removed Aklapper as the assignee of this task.Nov 16 2017, 12:10 AM

Please describe what you're asking for - see https://www.mediawiki.org/wiki/Phabricator/Help/Herald_Rules what's available

I would like to have any task where I am the assignee or a subscriber automatically added to the project.

I'm personally against adding a project just because you subscribed to a task as this will be extremely noisy for anybody else.

@MacFan4000 If your intention is to visualise all tasks you are interested in, perhaps you are interested in a custom dashboard with search queries. This might be better than a personal project with manually-maintained workboard columns.

For example:

You can turn those (and more queries) into panels on a dashboard via https://phabricator.wikimedia.org/dashboard/

Thanks @Krinkle! Documented.

@MacFan4000: If you want a Herald rule for tasks you are assigned to I'm fine with creating that. Just say :)

How about one for tasks that I create and for tasks that are assigned to me.

Krinkle removed a subscriber: Krinkle.Dec 18 2017, 8:20 PM
Aklapper closed this task as Resolved.Dec 19 2017, 10:19 AM
Aklapper claimed this task.

Created H271:
When any of these conditions are met:

*Author is any of @MacFan4000
Take these actions the first time this rule matches:

Restricted Application added a project: User-MacFan4000. · View Herald TranscriptDec 19 2017, 10:19 AM